# Class EmblFile

java.lang.Object
org.snpeff.genBank.FeaturesFile
org.snpeff.genBank.EmblFile

All Implemented Interfaces:
  `Iterable<Features>, Iterator<Features>`

public class EmblFile extends FeaturesFile
A file containing one or more set of features (e.g. multiple chromosomes concatenated in a single file)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`EmblFile(String fileName)`

## Method Summary

### Methods inherited from class FeaturesFile

`hasNext, iterator, next, open, remove`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### EmblFile

public EmblFile(String fileName)